Bug 112568 - ICE on valid code
Summary: ICE on valid code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Merrill
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-23 01:26 UTC by Bernie Innocenti
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-02 17:36:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernie Innocenti 2003-12-23 01:26:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031210

Description of problem:
The following reduced test case causes an ICE:

class QString
{
public:
	QString( const char *str );
	~QString();
};
const QString operator+( const QString &s1, const QString &s2 );
void foo()
{
	QString dirs[] = { QString("libdir") + QString(".libs") };
}


Version-Release number of selected component (if applicable):
gcc-c++-ssa-3.5ssa-0.20031211.106

How reproducible:
Always

Steps to Reproduce:
1. g++-ssa ssabug.cpp

    

Actual Results:  /ssabug.cpp: In function `void foo()':
/ssabug.cpp:11: internal compiler error: in gimplify_expr, at
gimplify.c:3210
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Additional info:

NOTE: this bug is already fixed in GCC's tree-ssa branch.

Comment 1 Diego Novillo 2004-02-02 17:36:55 UTC
Should be fixed in 20040120.110


Note You need to log in before you can comment on or make changes to this bug.